package itz;
/*La clase Thread est en el paquete java.lang. Por tanto, no es necesario el import.*/
public class ThreadEjemplo extends Thread {
	/*El constructor public Thread(String str) recibe un parmetro que es la identificacin 
	 * del Thread.*/
	public ThreadEjemplo(String str) {
		super(str); /*super, slo representa la parte heredada de la clase base*/
	}
	/*El mtodo run() contiene el bloque de ejecucin del Thread. 
	 * Dentro de l, el mtodo getName() devuelve el nombre del Thread 
	 * (el que se ha pasado como argumento al constructor).*/
	@Override
	public void run() {
		for (int i = 0; i < 10 ; i++)
			System.out.println(i + " " + getName());
		System.out.println("Termina thread " + getName());
	}
}
