package itz;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.TimeUnit;
public class Ejecutor {
	public static void main(String args[]) {
		ExecutorService exec = Executors.newFixedThreadPool(5);
		for (int i = 0; i < 100; i++) {
			exec.execute(new Runnable() {
				public void run() {
					System.out.println("Ejecutandose en : " + Thread.currentThread());
				}
			});
		}
		exec.shutdown();
		try {
			boolean b = exec.awaitTermination(50, TimeUnit.SECONDS);
			System.out.println("Terminaron todos los hilos: " + b);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}
}